FROM debian:stretch

LABEL maintainer="lenerd <lenerd@posteo.de>"

ENV VERSION 1.0

EXPOSE 4700

RUN \
    apt-get update && \
    apt-get -y upgrade && \
    apt-get -y install socat && \
    useradd -m -d /home/user -s /bin/bash user

COPY pwcheck run.sh flag.txt /home/user/

USER user
ENV HOME /home/user
WORKDIR /home/user
ENTRYPOINT ["./run.sh"]
